/*

Theme name:		Rood-witte bril
Description:	Made for roodwittebril.nl
Version:			0.2
Author:			MisterR
Author URI:		https://misterr.com.ua
Template: 		programme-wpcom

*/

/* = Document Setup
---------------------------------------------------- */

p{
	color: var(--wp--preset--color--primary) !important;
}

/* = Site Header
---------------------------------------------------- */

.site-logo{
	min-width: 160px;
	width: 160px;
}

.hamburger-menu button svg{
	width: 60px;
	height: auto;
}

.hamburger-menu .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content{
	padding-top: 100px;
}

/* = Single Posts
---------------------------------------------------- */

/* quote */

.post-quote p{
	margin-top: 0;
}

.post-quote p:last-child{
	margin-bottom: 0;
}

.post-quote.bold p{
	font-weight: 700;
}

.post-quote.highlight p{
	color: var(--wp--preset--color--secondary) !important;
}

.post-quote.italic p{
	font-style: italic;
}

/* share */

.post-share h4{
	color: var(--wp--preset--color--primary);
}

.post-share-inner{
	margin: 0 -15px;
	display: flex;
}

.post-share a{
	margin: 0 10px;
}

.post-share a svg{
	height: auto;
	width: 40px;

	transition: fill 0.2s;
	display: block;
}

.post-share a:hover svg{
	fill: var(--wp--preset--color--secondary);
}

/* = Resize: Width
---------------------------------------------------- */

@media only screen and (min-width: 1024px){

	.hamburger-menu .wp-block-navigation__responsive-container{
		box-shadow: -5px 0 10px rgba(0,0,0,0.2);
		left: 50%;
	}

}

@media only screen and (max-width: 1023px){

	/* = Site Header
	---------------------------------------------------- */

	.site-header-left-inner{
		flex-direction: column;
	}

}

@media only screen and (max-width: 767px){

	/* = Site Header
	---------------------------------------------------- */

	.site-logo{
		min-width: 120px;
		width: 120px;
	}

	.hamburger-menu button svg{
		width: 42px;
	}

	.hamburger-menu .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content{
		padding-top: 80px;
	}

	/* = Single Posts
	---------------------------------------------------- */

	/* share */

	.post-share-inner{
		margin: 0 -12px;
	}

	.post-share a{
		margin: 0 7px;
	}

	.post-share a svg{
		width: 28px;
	}

}